Subject: Re: PHAliaRMACY

From: "Jannine Matheney" <[email-masked]>
Date: Wed, 31 Jan 2007 01:24:18 -0400

Hi,
Pharmacy directly from the manufacturer, economize over 50 %

http://www.lodrx*.com - Remove "*" to make the link working!

--

not entirely sure he can read, so that may not have been bravery... 
Come back and teach, Hagrid,  said Hermione quietly, please come back,
we really miss you.